Accept
POST
/api/v1/auth/legal/accept
const url = 'https://example.com/api/v1/auth/legal/accept';const options = { method: 'POST', headers: { cookie: 'ttx_access_token=<ttx_access_token>', 'X-CSRF-Token': '<X-CSRF-Token>', 'Content-Type': 'application/json' }, body: '{"acceptances":[{"kind":"terms","version":1}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/auth/legal/accept \ --header 'Content-Type: application/json' \ --header 'X-CSRF-Token: <X-CSRF-Token>' \ --cookie ttx_access_token=<ttx_access_token> \ --data '{ "acceptances": [ { "kind": "terms", "version": 1 } ] }'Record the caller’s acceptance of the current legal documents.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
LegalAcceptRequest
object
acceptances
required
Acceptances
Array<object>
LegalAcceptanceItemOne version of one document the user accepts (signup, or after a substantial change). Must be the version currently published.
object
kind
required
LegalDocumentKind
The legal documents a deployment’s operator publishes for its users (Platform), accepted together at signup.
string
version
required
Version
integer
Responses
Section titled “Responses”Successful Response
Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}